<?php

require 'db.php';

$postdata = file_get_contents("php://input");
$request = json_decode($postdata);
if(isset($postdata) && !empty($postdata))
{
$val = mysqli_real_escape_string($con, trim($request->value));
if($val != null)
{
    $s_sql = "SELECT * FROM category where id = '$val'";
    $s_query = mysqli_query($con,$s_sql);
    if($rows = $s_query->fetch_assoc())
    {
        $status = $rows['catstatus'];
    }
    if($status != null)
    {
        if($status==0)
        {
            $c_sql = "UPDATE category set catstatus = '1' where id='$val'";
            $c_result = mysqli_query($con,$c_sql);
            $sc_sql = "UPDATE subcategory set catstatus = '1' where cat_id='$val'";
            $sc_result = mysqli_query($con,$sc_sql);
            $p_sql = "UPDATE product set pstatus = '1' where cid='$val'";
            $p_result = mysqli_query($con,$p_sql);
            if($c_result && $sc_result && $p_result)
            {
                $rows = array('status'=>true,'message' => 'Category Status Changed');
                echo json_encode($rows);
            }
        }
        else if($status==1)
        {
            $c_sql = "UPDATE category set catstatus = '0' where id='$val'";
            $c_result = mysqli_query($con,$c_sql);
            $sc_sql = "UPDATE subcategory set catstatus = '0' where cat_id='$val'";
            $sc_result = mysqli_query($con,$sc_sql);
            $p_sql = "UPDATE product set pstatus = '0' where cid='$val'";
            $p_result = mysqli_query($con,$p_sql);
            if($c_result && $sc_result && $p_result)
            {
                $rows = array('status'=>true,'message' => 'Category Status Changed');
                echo json_encode($rows);
            }
        }
    }
   
}
else
{
    $rows = array('status'=>false,'message' => 'Something Error');
    echo json_encode($rows);  
}
}

?>